package services

import "hongze/hongze_cygx/models"

func GetAdminMobileMap() (mapItem map[string]string, err error) {
	adminList, e := models.GetAdminByRole()
	if e != nil {
		err = e
		return
	}
	mapMobile := make(map[string]string)
	for _, v := range adminList {
		mapMobile[v.Mobile] = v.Mobile
	}
	mapItem = mapMobile
	return
}

func GetActivityCcustomerTypeList() (mapItem map[int]string, err error) {
	list, e := models.GetActivityCcustomerTypeList()
	if e != nil {
		err = e
		return
	}
	mapUserType := make(map[int]string)
	for _, v := range list {
		mapUserType[v.CustomerTypeId] = v.PermissionValue
	}
	mapUserType[0] = "0"
	mapItem = mapUserType
	return
}
