package utils

const (
	Md5Key = "Ks@h64WJ#tcVgG8$&WlNfqvLAtMgpxWN"
)

// 常量定义
const (
	FormatTime             = "15:04:05"                //时间格式
	FormatDate             = "2006-01-02"              //日期格式
	FormatDateTime         = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime      = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeNoSecond = "2006-01-02 15:04"        //完整时间格式
	FormatDateTimeUnSpace  = "20060102150405"          //完整时间格式
	PageSize15             = 15                        //列表页每页数据量
	PageSize5              = 5
	PageSize10             = 10
	PageSize20             = 20
	PageSize30             = 30
)

const (
	APPNAME           = "弘则-查研观向"
	EmailSendToUsers  = "glji@hzinsights.com;pyan@hzinsights.com;cxzhang@hzinsights.com"
	EmailSendToExpert = "cxzhang@hzinsights.com"
	DefaultHeadimgurl = "https://hzstatic.hzinsights.com/static/temp/20220426202204/20220426/P5qLR2zzfBdKItp3eX2Du1tvq9Ba.jpg"
	ApiAuthorization  = "bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkiLCJwaG9uZV9udW1iZXIiOiIxMjM0NTY3ODkiLCJuYW1lIjoi5YW25LuWIiwiZW50cmFuY2UiOiJwYXNzd3dvcmQiLCJpYXQiOjE2MzQ4NzA1OTQsImV4cCI6MTYzNDg3NDE5NH0.tho2L9jsbDPn8ltEGUVDve_nHsh0Kzf6ZrSz0RcZ0ag"
	ApiUrl            = "https://vmp.hzinsights.com/v2api/"
)

// 手机号，电子邮箱正则
const (
	RegularMobile             = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$" //手机号码
	RegularFixedTelephone     = "^(\\(\\d{3,4}\\)|\\d{3,4}-|\\s)?\\d{7,14}$"                                              //手机号码
	RegularFixedTelephoneEasy = "^[0-9\\-]+$"                                                                             //手机号码
	RegularEmail              = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                             //匹配电子邮箱
)

// 聚合短信
var (
	JhGnTplId = "250078" //聚合国内模板编码
	JhGjTplId = "10054"  //聚合国内模板编码

	JhGnAppKey = "4c8504c49dd335e99cfd7b6a3a9e2415" //聚合国内AppKey
	JhGjAppKey = "3326ad2c1047a4cd92ace153e6044ca3"
)

// OSS
var (
	Endpoint   string = "oss-cn-shanghai.aliyuncs.com"
	Bucketname string = "hongze"

	Imghost          string = "https://hongze.oss-cn-shanghai.aliyuncs.com/"
	Upload_dir       string = "static/images/"
	Upload_Audio_Dir string = "static/audio/"
	Upload_Pdf_Dir   string = "static/pdf/"

	AccessKeyId     string = "LTAIFMZYQhS2BTvW"
	AccessKeySecret string = "12kk1ptCHoGWedhBnKRVW5hRJzq9Fq"
)

// 缓存key
const (
	CACHE_KEY_USER_VIEW           = "user_view_record"           //用户阅读数据
	CACHE_KEY_ARTICLE_ID_TEMPLATE = "ce_lue_article_id_template" //策略平台同步过来的文章ID，做微信模板消息推送，同一篇报告12小时只推送一次
)

// 模板消息推送类型
const (
	TEMPLATE_MSG_CYGX_ACTIVITY_ADD = 12 //查研观向小程序活动更新推送 12
	TEMPLATE_MSG_CYGX_ARTICLE_ADD  = 13 //查研观向报告更新推送  13
	TEMPLATE_MSG_CYGX_APPLY        = 14 //查研观向审批通知
	TEMPLATE_MSG_CYGX_COMMENT      = 15 //查研观向留言通知
)

const (
	CHART_PERMISSION_NAME_YANXUAN    string = "研选"
	CHART_PERMISSION_NAME_MF_YANXUAN string = "买方研选"
	CHART_PERMISSION_ID_YANXUAN      int    = 31
	C_CLASS_ACTIVITY_TYPE_ID         int    = 7 //C类电话会会议ID
	ANALYST_TELL_ACTIVITY_TYPE_ID    int    = 2 //分析师电话会ID
	CE_LUE_NAME                      string = "策略"
	CE_LUE_ID                        int    = 23
	YI_YAO_NAME                      string = "医药"
	YI_YAO_OTHER_IMG                 string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/qzPm61bVf40Je7c5iL1s4CbrDcpv.png" //医药其它图片
	YI_YAO_ID                        int    = 22
	XIAO_FEI_NAME                    string = "消费"
	XIAO_FEI_OTHER_IMG               string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/BxOfzECjhqjipJCWwAa9Ep99OTMA.png" //消费其它图片
	XIAO_FEI_ID                      int    = 21
	KE_JI_NAME                       string = "科技"
	KE_JI_OTHER_IMG                  string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/vr7eTXIrl6YjJ80DDTVbdnFRQ9mJ.png" //科技其它图片
	KE_JI_ID                         int    = 20
	ZHI_ZAO_NAME                     string = "智造"
	ZHI_ZAO_OTHER_IMG                string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/SSaQcWzMk5slN3FkCwZifK3qcAWd.png" //智造其它图片
	ZHI_ZAO_ID                       int    = 19
	LINK_WX_EXPLAIN                         = "https://mp.weixin.qq.com/s?__biz=Mzg2OTYzODk0Nw==&mid=2247483662&idx=1&sn=3752df99025189b9d77fe658bfc0edbd&chksm=ce98b742f9ef3e54b49986e647dd951a3aad74f323174b252174e0938c264c0562c8ec455106#rd" //用户阅读数据
	ACTIVITY_SPECIAL_EXPLAIN                = "预报名专项调研行程持续更新中，满10家即开团，欢迎点击感兴趣预报名"                                                                                                                                                                //用户阅读数据
	HZ_COMPANY_ID                    int    = 16                                                                                                                                                                                                 // 弘则公司的ID
	HONG_GUAN_NAME                   string = "宏观"
	HONG_GUAN_ID                     int    = 1
	GU_SHOU_NAME                     string = "固收"
	GU_SHOU_ID                       int    = 100000   // 自定义权限类型ID ，十万起步
	YAN_XUAN_ARTICLE_TYPE_IDS        string = "1,2,12" // 属于研选的报告类型ID
	NO_YAN_XUAN_ARTICLE_TYPE_IDS     string = "13"     // 不属于研选的报告类型ID
)

const (
	CHART_INFO_HTTP_URL = "https://vmp.hzinsights.com/v2/charts/"
)

const (
	YAN_XUAN_EXPLAIN = "买方研选内容实行阶段，限时免费。也欢迎您向我们提宝贵建议。"
	YAN_XUAN_TAB_KEY = "yanxuan_header_tab"
)

const (
	YD_TOKEN = "yidong_token"
)

const (
	SHANG_HAI_CRM_API_TOKEN = "SHANG_HAI_CRM_API_TOKEN"
)

const (
	//专项调研背景图片
	//ACTIVITY_ZXDY_ImgUrl1 = "https://hzstatic.hzinsights.com/static/temp/20220427202204/20220427/b2Bj3fGakP16iJRFKisQohCWnCNl.png"
	//ACTIVITY_ZXDY_ImgUrl2 = "https://hzstatic.hzinsights.com/static/temp/20220427202204/20220427/OkunjfKEgo5KRLifzwwLX8cDZnnN.png"
	//ACTIVITY_ZXDY_ImgUrl3 = "https://hzstatic.hzinsights.com/static/temp/20220426202204/20220426/XDLLsjC9XAAy8LIzQr7GsjrBbtX6.png"

	ACTIVITY_ZXDY_ImgUrl1 = "https://hzstatic.hzinsights.com/static/temp/20220830202208/20220830/2c4YHXzwb0uqvIfgPvBV4MZtKNX9.png"
	ACTIVITY_ZXDY_ImgUrl2 = "https://hzstatic.hzinsights.com/static/temp/20220830202208/20220830/UERktOWyQQEoPeckdy01TEZP09Pu.png"
	ACTIVITY_ZXDY_ImgUrl3 = "https://hzstatic.hzinsights.com/cygx/special_list_bg.png"
)

const (
	YI_YAO_QI_TA = "https://hzstatic.hzinsights.com/static/temp/20220922202209/20220922/2OQMBFplQE1R3bX1y3obX7JSwSuA.png"
	YAN_XUAN_IMG = "https://hzstatic.hzinsights.com/static/temp/20221027202210/20221027/Dd8TrsMh8tNx2tGd5VeaQDyJVQfV.png"
)

const (
	COMPANY_PRODUCT_FICC_ID   = 1
	COMPANY_PRODUCT_FICC_NAME = "ficc"
	COMPANY_PRODUCT_RAI_ID    = 2
	COMPANY_PRODUCT_RAI_NAME  = "权益"
)

// 微信模板消息推送公共接口的秘钥
const (
	SendTemplateMsgAuthorization = "dc855fce962a639faa779cbdd4cd332f"
)

// 模板消息地址路由
const (
	WX_MSG_PATH_ARTICLE_DETAIL           = "pageMy/reportDetail/reportDetail?id="            //文章详情模板消息地址
	WX_MSG_PATH_ACTIVITY_SPECIAL_DETAIL  = "activityPages/specialDetail/specialDetail?id="   //专项调研活动模板消息地址
	WX_MSG_PATH_ACTIVITY_INDUSTRYR_EPORT = "reportPages/IndustryReport/IndustryReport?id="   //产业文章列表模板消息地址
	WX_MSG_PATH_ACTIVITY_DETAIL          = "activityPages/activityDetail/activityDetail?id=" //活动模板消息地址
)

// 模板消息地址路由
const (
	ACtIVITY_SPECIAL_EXPLAIN      = "此类调研具体行程尚未确定，待预报名人数满10人后弘则会确定行程并推送给您活动日期，只有在确定行程中再次报名才完成占位。"                        //专项调研说明
	ACtIVITY_SPECIAL_TRIP_EXPLAIN = "此类调研时间安排已经确定，点击报名后按人次扣除对应机构的服务点数。由于每场活动人数有限，如果不能参加请提前48小时取消，未及时取消导致影响其他客户报名将会维持扣点。" //专项调研说明

)
